Redmine - Defect #28110

Don't allow reassigning reported hours to the project if issue is a required field for time logs
2018-01-31 11:03 - Stephane Evr

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 3.45

Resolution: Fixed Affected version: 344
Description

The problem occurs in the latest Redmine version (3.4.2)
Settings:
settings.PNG
- Create an issue
- Log time on it

- Delete the issue

The following pops out:

Confirmation

1.00 hours were reported on the issues you are about to delete. What do you want to do?

|
I ® Assign reported hours to the project I

Reassign reported hours to this issue: 4,

Apply

There, we can apply, violating the "required issue" constraint.

Related issues:
Related to Redmine - Feature #24577: Settings to make the issue and/or commen... Closed

Associated revisions

Revision 17199 - 2018-02-18 05:24 - Go MAEDA

Don't allow reassigning reported hours to the project if issue is a required field for time logs (#28110).

Patch by Marius BALTEANU.

Revision 17200 - 2018-02-18 05:33 - Go MAEDA
Merged r17199 from trunk to 3.4-stable (#28110).

History

#1 - 2018-01-31 22:56 - Marius BALTEANU
- File do_not_allow_nullify_time_entries_when_issue_is_required_for_time_entries.patch added
- Status changed from New to Confirmed

- Affected version set to 3.4.4

Stephane, thanks for pointing this out.
Attached is a patch that fixes this issue. Also, it hides the option "Assign reported hours to the project” when the issue is required for time entries.

#2 - 2018-02-01 00:36 - Go MAEDA

- Related to Feature #24577: Settings to make the issue and/or comment fields mandatory for time logs added

#3 - 2018-02-11 07:01 - Go MAEDA
- File do_not_allow_nullify_time_entries_when_issue_is_required_for_time_entries-v2.patch added

- Target version set to 3.4.5

Marius, thank you for writing the patch. But I slightly modified because the patch cannot be cleanly applied to the current trunk.

| tested the patch and it works fine, setting target version to 3.4.5.

#4 - 2018-02-18 05:36 - Go MAEDA

- Subject changed from Time Entries of an issue pending deletion can be reassigned to the project itself even if issue is a required field to Don't allow
reassigning reported hours to the project if issue is a required field for time logs

- Category set to Time tracking
- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed.
Thank you for reporting and fixing this issue.
